Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_DTDHandler Class Reference

ACEXML_DTDHandler. More...

`#include "ACEXML/common/DTDHandler.h"`

Inheritance diagram for ACEXML_DTDHandler:

[legend]
List of all members.

## Public Methods
virtual void | notationDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual void | unparsedEntityDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, const ACEXML_Char *notationName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0

## Detailed Description

ACEXML_DTDHandler.

If a SAX application needs information about notations and unparsed entities, then the application implements this interface and registers an instance with the SAX parser using the parser's setDTDHandler method. The parser uses the instance to report notation and unparsed entity declarations to the application.

Note that this interface includes only those DTD events that the XML recommendation requires processors to report: notation and unparsed entity declarations.

The SAX parser may report these events in any order, regardless of the order in which the notations and unparsed entities were declared; however, all DTD events must be reported after the document handler's startDocument event, and before the first startElement event.

It is up to the application to store the information for future use (perhaps in a hash table or object tree). If the application encounters attributes of type "NOTATION", "ENTITY", or "ENTITIES", it can use the information that it obtained through this interface to find the entity and/or notation corresponding with the attribute value.

## Member Function Documentation

virtual void ACEXML_DTDHandler::notationDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | `[pure virtual]`

| Receive notification of a notation declaration event. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DTDHandler::unparsedEntityDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | const ACEXML_Char *notationName | ACEXML_ENV_ARG_DECL
| ) | `[pure virtual]`

| Receive notification of an unparsed entity declaration event. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

The documentation for this class was generated from the following file:

- DTDHandler.h